.cig--job-search-filter-wrapper {
  box-sizing: border-box;
  padding: 20px;
  border-radius: 10px;
  background: var(--color-blue-light-bg);
}

.cig--light-wrapper-shadow {
  box-shadow: 0px 4px 12px 0px rgba(0, 0, 0, 0.05);
  -webkit-box-shadow: 0px 4px 12px 0px rgba(0, 0, 0, 0.05);
  -moz-box-shadow: 0px 4px 12px 0px rgba(0, 0, 0, 0.05);
}
.cig--search-form-wrapper {
  border-radius: 10px;
}
.cig--search-filter-wrapper {
  display: flex;
  flex-direction: row;
  gap: 20px;
  justify-content: flex-start;
}
.cig--search-filter-flex-wrapper {
  display: flex;
  flex-direction: row;
  gap: 20px;
}
.cig--search-filter-btn-wrapper {
  position: relative;
  font-size: 16px;
  font-weight: 500;
  padding: 15px 45px 15px 20px;
  color: var(--color-blue-dark);
  background: var(--color-white);
  white-space: nowrap;
  border: none;
  border-radius: 10px;
  cursor: pointer;
}
.cig--search-filter-btn-wrapper::after {
  content: "";
  width: 12px;
  height: 12px;
  position: absolute;
  top: calc(50% + 1px);
  right: 20px;
  transform: translateY(-50%);
  background: url("data:image/svg+xml,%3Csvg width='10' height='10' viewBox='0 0 10 10' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M8.45538 3.47954C8.5297 3.39675 8.57145 3.28452 8.57145 3.16751C8.57145 3.05049 8.5297 2.93826 8.45538 2.85547H1.54465C1.47033 2.93826 1.42859 3.05049 1.42859 3.16751C1.42859 3.28452 1.47033 3.39675 1.54465 3.47954L4.71957 7.01205C4.79398 7.09474 4.89485 7.14118 5.00002 7.14118C5.10519 7.14118 5.20606 7.09474 5.28047 7.01205L8.45538 3.47954Z' fill='%23112D51'/%3E%3C/svg%3E%0A")
    center / contain no-repeat;
}
.cig--search-filter-select-wrapper {
  border-radius: 10px;
  background: var(--color-white);
}
@media (max-width: 768px) {
  .cig--job-search-filter-wrapper .cig--search-filter-wrapper {
    box-sizing: border-box;
    margin: 0;
    padding: 10px;
    overflow: hidden;
    display: flex;
    flex-direction: column-reverse;
    gap: 10px;
  }
  .cig--job-search-filter-wrapper ul.cig-searchbar-wrapper li input {
    border-bottom: none;
  }
  .cig--search-filter-flex-wrapper {
    gap: 10px;
  }
  .cig--search-filter-flex-wrapper button.cig--search-filter-btn-wrapper {
    flex: 1;
    text-align: left;
    padding: 20px 45px 20px 20px;
  }
  .cig--job-search-filter-wrapper {
    padding: 0px;
  }
  .cig--job-search-filter-wrapper button.cig--searchbar-submit-btn {
    width: 48px;
    height: 48px;
  }
}

/* ++++++++++++++++++++++++++++ */
/* +++ M O D A L  P O P U P +++ */
/* ++++++++++++++++++++++++++++ */
#modal_SearchWithin {
  display: none;
}
/* Modal Styles */
.cig--modal-wrapper {
  box-sizing: border-box;
  display: none;
  position: fixed;
  z-index: 999999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.5);
}
.cig--modal-wrapper[open] {
  display: block;
}
.cig__modal-body-wrapper {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.cig--modal-content-sml-wrapper,
.cig--modal-content-lrg-wrapper {
  background-color: var(--color-white);
  margin: 20px auto;
  border: 1px solid #888;
  border-radius: 10px;
  width: 100%;
  position: relative;
  animation: slideUp 0.3s ease;
}
.cig--modal-content-lrg-wrapper {
  max-width: 820px;
}
.cig--modal-content-sml-wrapper {
  max-width: 356px;
}

@keyframes slideUp {
  from {
    transform: translateY(50px);
    opacity: 0;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}

.cig--modal-head {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 15px 15px 20px;
  border-bottom: 1px solid #e9e9e9;
}
.cig--modal-head h3 {
  margin: 0;
  font-size: 18px;
  font-weight: bold;
  text-transform: uppercase;
  color: var(--color-blue-dark);
}
.cig__modal-close {
  position: relative;
  width: 28px;
  height: 28px;
  cursor: pointer;
  transition: 0.2s ease;
}
.cig__modal-close::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 16px;
  height: 16px;
  background: url("data:image/svg+xml,%3Csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M16 1.61143L14.3886 0L8 6.38857L1.61143 0L0 1.61143L6.38857 8L0 14.3886L1.61143 16L8 9.61143L14.3886 16L16 14.3886L9.61143 8L16 1.61143Z' fill='black'/%3E%3C/svg%3E%0A")
    center / contain no-repeat;
}
.cig__modal-close:hover {
  transform: scale(0.9);
}

.cig--modal-cta-wrapper {
  padding: 15px 20px;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 10px;
  border-top: 1px solid #e9e9e9;
}
button.cig--navbar-link-rounded-modal {
  display: inline-block;
  text-decoration: none;
  padding: 14px 20px;
  font-size: 16px;
  font-weight: 500;
  border-radius: 50px;
  text-transform: uppercase;
  transition: 0.2s ease;
  cursor: pointer;
}
button.cig--navbar-link-rounded-modal:hover {
  filter: contrast(130%);
  transform: scale(0.95);
}

@media (max-width: 768px) {
  body.cig__modal-open {
    overflow: hidden;
    margin-right: 0px;
  }
  .cig--modal-wrapper {
    overflow: auto;
    padding: 0;
  }
  .cig__modal-body-wrapper {
    display: flex;
    justify-content: center;
    align-items: flex-end;
  }
  .cig--modal-content-sml-wrapper,
  .cig--modal-content-lrg-wrapper {
    background-color: var(--color-white);
    margin: 0;
    border: none;
    border-radius: 10px 10px 0 0;
    max-width: 100%;
  }
}

/* -------------------- */
/* --- Modal Select --- */
/* -------------------- */
.cig--modal-select {
  max-height: 0;
  overflow: hidden;
  background-color: #fff;
  transition: max-height 0.4s ease-in-out;
  max-height: 600px;
}
/* Hide the multi-select toggle button */
.cig--modal-select-select-wrapper .ms-choice {
  display: none !important;
}
.cig--modal-select-select-wrapper .ms-drop {
  box-sizing: border-box;
  position: static !important;
  display: block !important;
  border: none !important;
  box-shadow: none !important;
  width: 100% !important;
}
.cig--modal-select-select-wrapper .ms-search {
  display: block !important;
  padding: 0.75rem 1rem;
  border-bottom: 1px solid #e5e7eb;
  background-color: #ffffff;
}
.cig--modal-select-select-wrapper .ms-search input {
  box-sizing: border-box;
  width: 100% !important;
  padding: 0.5rem;
  font-size: 16px;
  padding: 15px 20px !important;
}
.cig--modal-select-select-wrapper .ms-drop ul {
  max-height: 420px !important;
  overflow-x: hidden !important;
  padding: 10px 0 !important;
}
.cig--modal-select-select-wrapper .ms-drop ul li {
  box-sizing: border-box;
  padding: 10px 20px !important;
}
.cig--modal-select-select-wrapper .ms-drop ul > li label {
  white-space: wrap;
}
.cig--modal-select-select-wrapper .ms-drop ul li input[type="checkbox"] {
  margin-right: 0.5rem;
}
.cig--modal-select-select-wrapper .ms-drop ul li:hover {
  background-color: #f9fafb;
}

.cig--modal-select-select-wrapper .ms-drop ul > li.hide-radio.selected {
  color: #fff;
  background-color: var(--color-blue-light);
  border-radius: 0;
}

.cig--list-double-col .ms-drop ul {
  display: flex;
  flex-wrap: wrap;
}

.cig--list-double-col .ms-drop ul li {
  width: 50%;
  box-sizing: border-box;
}

.cig--navbar-search-form-wrapper.cig--light-wrapper-shadow {
  box-sizing: border-box;
  width: 100%;
  padding: 5px 5px 5px 15px;
}
.cig--navbar-search-form-wrapper ul.cig-searchbar-wrapper li:first-child {
  border-right: none;
}
/* --- Mobile Modal Select --- */
@media (max-width: 768px) {
  .cig--list-double-col .ms-drop ul li {
    width: 100%;
  }
}
